export function jsx(type: any, props: Record<string, any>) {
  console.log('JSX', type, props);
  if (typeof type === 'function') {
    return type(props);
  }
  return {
    type,
    props,
  };
}

export function jsxDEV(
  type: any,
  props: Record<string, any>,
  key: string | number | symbol,
  isStaticChildren: boolean,
  source: any,
  self: any,
) {
  console.log('JSX DEV', type, props);
  if (typeof type === 'function') {
    return type(props);
  }
  return {
    type,
    props: { ...props, key },
    _source: source,
    _self: self,
  };
}
